#ifndef __BROWFILE_H
#define __BROWFILE_H

#ifndef __MASK_H
#include <mask.h>
#endif

class TViswin;

class TBrowsefile_field : public TMask_field
{
  TViswin* _viswin;

protected:
  virtual word class_id() const;

  virtual void parse_head(TScanner& scanner);
  virtual bool parse_item(TScanner& scanner);
  virtual void create(WINDOW parent);

public:
  TViswin* vis_win() const { return _viswin; }
  
  TBrowsefile_field(TMask* m);
  virtual ~TBrowsefile_field();
};

#endif
